#
# spec file for package python-indygo
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-indygo
Version:        1.0
Release:        7.2
Url:            https://github.com/indygemma/indygo
Summary:        Pastescript template and wrapper for a complete Django development environment
License:        MIT
Group:          Development/Languages/Python
Source:         https://github.com/indygemma/indygo/tarball/1fa4c9fb4eae2a61e8f3aeda0cf7ea9475cd47c1/indygemma-indygo-1fa4c9f.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-Fabric
Requires:       python-django
Requires:       python-gevent
Requires:       python-pastescript
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

%description
A pastescript template for a complete django project with pip+virtualenv,
fabric, a gevent-based wsgi server and various helpers scripts. Ready to
deploy on your production server in minutes.

%prep
%setup -q -n indygemma-indygo-1fa4c9f

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Install remaining stuff:
pushd indygo/template
for file in bootstrap/dependencies.txt \
            bootstrap/setup_pip_virtualenv.sh \
            bootstrap/setup_ubuntu_packages.sh \
            compass/config.rb \
            dev/runwsgi.py_tmpl \
            dev/work \
            etc/nginx/development.conf_tmpl \
            etc/nginx/enable.py_tmpl \
            etc/nginx/production.conf_tmpl \
            etc/supervisor/development.conf \
            etc/supervisor/production.conf \
            fabfile/__init__.py_tmpl \
            gitignore \
            README_tmpl \
            settings/common.py_tmpl
do
    install -Dm0644 $file %{buildroot}%{python_sitelib}/indygo/template/$file
done
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/indygo
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Jul 22 2011 saschpe@gmx.de
- Install missing template files
* Fri Jul 22 2011 saschpe@gmx.de
- Initial version
